# Uses of Class
org.apache.zookeeper.server.NIOServerCnxnFactory

Packages that use NIOServerCnxnFactory
Package
Description
org.apache.zookeeper.server
ZooKeeper server theory of operation
org.apache.zookeeper.server.controller

## Uses of NIOServerCnxnFactory in org.apache.zookeeper.server

Constructors in org.apache.zookeeper.server with parameters of type NIOServerCnxnFactory
Modifier
Constructor
Description
``
`NIOServerCnxn(ZooKeeperServer zk, SocketChannel sock, SelectionKey sk, NIOServerCnxnFactory factory, NIOServerCnxnFactory.SelectorThread selectorThread)`

## Uses of NIOServerCnxnFactory in org.apache.zookeeper.server.controller

Subclasses of NIOServerCnxnFactory in org.apache.zookeeper.server.controller
Modifier and Type
Class
Description
`class`
`ControllableConnectionFactory`
Extension of NIOServerCnxnFactory which can inject changes per controller commands.
Constructors in org.apache.zookeeper.server.controller with parameters of type NIOServerCnxnFactory
Modifier
Constructor
Description
``
`ControllableConnection(ZooKeeperServer zk, SocketChannel sock, SelectionKey sk, NIOServerCnxnFactory factory, NIOServerCnxnFactory.SelectorThread selectorThread)`